Updates an existing feature of a product; only the fields set on the body are changed.
PATCH
/api/v1/provision/admin/products/{productId}/features/{featureId}
const url = 'https://example.com/api/v1/provision/admin/products/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/features/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"moduleName":"example","name":"example","description":"example","value":"example","version":"example","isEnabled":true,"includeInLicenseToken":true,"isAvailableDuringTrialPeriod":true,"isAvailableDuringGracePeriod":true,"canModifyValueOnEntitlement":true,"featurePath":"example","featureCatalogId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","featureCode":"example","meterAggregationType":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/v1/provision/admin/products/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/features/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Content-Type: application/json' \ --data '{ "moduleName": "example", "name": "example", "description": "example", "value": "example", "version": "example", "isEnabled": true, "includeInLicenseToken": true, "isAvailableDuringTrialPeriod": true, "isAvailableDuringGracePeriod": true, "canModifyValueOnEntitlement": true, "featurePath": "example", "featureCatalogId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "featureCode": "example", "meterAggregationType": "example" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” productId
required
string format: uuid
The unique identifier of the product.
featureId
required
string format: uuid
The unique identifier of the feature to update.
Request Body required
Section titled “Request Body required ”Patch payload — unset/null properties are left unchanged.
object
moduleName
null | string
name
null | string
description
null | string
value
null | string
version
null | string
isEnabled
null | boolean
includeInLicenseToken
null | boolean
isAvailableDuringTrialPeriod
null | boolean
isAvailableDuringGracePeriod
null | boolean
canModifyValueOnEntitlement
null | boolean
featurePath
null | string
featureCatalogId
null | string format: uuid
featureCode
null | string
Example generated
{ "moduleName": "example", "name": "example", "description": "example", "value": "example", "version": "example", "isEnabled": true, "includeInLicenseToken": true, "isAvailableDuringTrialPeriod": true, "isAvailableDuringGracePeriod": true, "canModifyValueOnEntitlement": true, "featurePath": "example", "featureCatalogId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "featureCode": "example", "meterAggregationType": "example"}object
moduleName
null | string
name
null | string
description
null | string
value
null | string
version
null | string
isEnabled
null | boolean
includeInLicenseToken
null | boolean
isAvailableDuringTrialPeriod
null | boolean
isAvailableDuringGracePeriod
null | boolean
canModifyValueOnEntitlement
null | boolean
featurePath
null | string
featureCatalogId
null | string format: uuid
featureCode
null | string
Example generated
{ "moduleName": "example", "name": "example", "description": "example", "value": "example", "version": "example", "isEnabled": true, "includeInLicenseToken": true, "isAvailableDuringTrialPeriod": true, "isAvailableDuringGracePeriod": true, "canModifyValueOnEntitlement": true, "featurePath": "example", "featureCatalogId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "featureCode": "example", "meterAggregationType": "example"}object
moduleName
null | string
name
null | string
description
null | string
value
null | string
version
null | string
isEnabled
null | boolean
includeInLicenseToken
null | boolean
isAvailableDuringTrialPeriod
null | boolean
isAvailableDuringGracePeriod
null | boolean
canModifyValueOnEntitlement
null | boolean
featurePath
null | string
featureCatalogId
null | string format: uuid
featureCode
null | string
Example generated
{ "moduleName": "example", "name": "example", "description": "example", "value": "example", "version": "example", "isEnabled": true, "includeInLicenseToken": true, "isAvailableDuringTrialPeriod": true, "isAvailableDuringGracePeriod": true, "canModifyValueOnEntitlement": true, "featurePath": "example", "featureCatalogId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "featureCode": "example", "meterAggregationType": "example"}Responses
Section titled “ Responses ”Returns the updated feature details.
object
id
string format: uuid
featureCatalogId
null | string format: uuid
featureCode
string
featurePath
null | string
moduleName
null | string
name
string
description
null | string
usageMetric
null | string
units
null | string
featureType
integer
enumOptions
Array<object>
object
value
string
description
null | string
value
null | string
version
null | string
isEnabled
boolean
includeInLicenseToken
boolean
isAvailableDuringTrialPeriod
boolean
isAvailableDuringGracePeriod
boolean
canModifyValueOnEntitlement
boolean
visibility
integer
isDeleted
boolean
creationTimeStamp
string format: date-time
lastUpdateTimeStamp
null | string format: date-time
revisionNumber
integer | string format: int32
object
id
string format: uuid
featureCatalogId
null | string format: uuid
featureCode
string
featurePath
null | string
moduleName
null | string
name
string
description
null | string
usageMetric
null | string
units
null | string
featureType
integer
enumOptions
Array<object>
object
value
string
description
null | string
value
null | string
version
null | string
isEnabled
boolean
includeInLicenseToken
boolean
isAvailableDuringTrialPeriod
boolean
isAvailableDuringGracePeriod
boolean
canModifyValueOnEntitlement
boolean
visibility
integer
isDeleted
boolean
creationTimeStamp
string format: date-time
lastUpdateTimeStamp
null | string format: date-time
revisionNumber
integer | string format: int32
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "featureCatalogId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "featureCode": "example", "featurePath": "example", "moduleName": "example", "name": "example", "description": "example", "usageMetric": "example", "units": "example", "featureType": 1, "enumOptions": [ { "value": "example", "description": "example" } ], "value": "example", "version": "example", "isEnabled": true, "includeInLicenseToken": true, "isAvailableDuringTrialPeriod": true, "isAvailableDuringGracePeriod": true, "canModifyValueOnEntitlement": true, "meterAggregationType": "example", "visibility": 1, "isDeleted": true, "creationTimeStamp": "2026-04-15T12:00:00Z", "lastUpdateTimeStamp": "2026-04-15T12:00:00Z", "revisionNumber": 1}object
id
string format: uuid
featureCatalogId
null | string format: uuid
featureCode
string
featurePath
null | string
moduleName
null | string
name
string
description
null | string
usageMetric
null | string
units
null | string
featureType
integer
enumOptions
Array<object>
object
value
string
description
null | string
value
null | string
version
null | string
isEnabled
boolean
includeInLicenseToken
boolean
isAvailableDuringTrialPeriod
boolean
isAvailableDuringGracePeriod
boolean
canModifyValueOnEntitlement
boolean
visibility
integer
isDeleted
boolean
creationTimeStamp
string format: date-time
lastUpdateTimeStamp
null | string format: date-time
revisionNumber
integer | string format: int32
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "featureCatalogId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "featureCode": "example", "featurePath": "example", "moduleName": "example", "name": "example", "description": "example", "usageMetric": "example", "units": "example", "featureType": 1, "enumOptions": [ { "value": "example", "description": "example" } ], "value": "example", "version": "example", "isEnabled": true, "includeInLicenseToken": true, "isAvailableDuringTrialPeriod": true, "isAvailableDuringGracePeriod": true, "canModifyValueOnEntitlement": true, "meterAggregationType": "example", "visibility": 1, "isDeleted": true, "creationTimeStamp": "2026-04-15T12:00:00Z", "lastUpdateTimeStamp": "2026-04-15T12:00:00Z", "revisionNumber": 1}